JUPYTER-SERVER(1)

NAME
jupyter-server - start a tornado-based jupyter server

SYNOPSIS
jupyter-server <subcommand> [<options>]

SUBCOMMANDS

list

    List currently running notebook servers.

stop

    Stop currently running Jupyter server for a given port

password

    Set a password for the Jupyter server.

extension

    Work with Jupyter server extensions

OPTIONS

--help-all

    list the available options for this command

--debug

    set log level to logging.DEBUG (maximize logging output)

--generate-config

    generate default config file

-y

    Answer yes to any questions instead of prompting.

--allow-root

    Allow the server to be run from root user.

--no-browser

    Prevent the opening of the default url in the browser.

--log-level=<Enum>

    Set the log level by value or name. Choices: any of [0, 10, 20, 30, 40, 50, 'DEBUG', 'INFO', 'WARN', 'ERROR', 'CRITICAL'] Default: 30

--config=<Unicode>

    Full path of a config file. Default: ''

--ip=<Unicode>

    The IP address the Jupyter server will listen on. Default: 'localhost'

--port=<Int>

    The port the Jupyter server will listen on. Default: 8888

--port-retries=<Int>

    The number of additional ports to try if the specified port is not available. Default: 50

--transport=<CaselessStrEnum>

    Choices: any of ['tcp', 'ipc'] (case-insensitive) Default: 'tcp'

--keyfile=<Unicode>

    The full path to a private key file for usage with SSL/TLS. Default: ''

--certfile=<Unicode>

    The full path to an SSL/TLS certificate file. Default: ''

--client-ca=<Unicode>

    The full path to a certificate authority certificate for SSL/TLS client authentication. Default: ''

--notebook-dir=<Unicode>

    The directory to use for notebooks and kernels. Default: ''

--browser=<Unicode>

    Specify what command to use to invoke a web browser when starting the server. If not specified, the default browser will be determined by the `webbrowser` standard library module, which allows setting of the BROWSER environment variable to override it. Default: ''

--pylab=<Unicode>

    DISABLED: use %pylab or %matplotlib in the notebook to enable matplotlib. Default: 'disabled'

--gateway-url=<Unicode>

    The url of the Kernel or Enterprise Gateway server where kernel specifications are defined and kernel management takes place. If defined, this Notebook server acts as a proxy for all kernel management and kernel specification retrieval. (JUPYTER_GATEWAY_URL env var) Default: None

EXAMPLES

jupyter server # start the server

jupyter server --certfile=mycert.pem # use SSL/TLS certificate

jupyter server password # enter a password to protect the server